Bug 251241 - www/novnc: Add upstream fix for basic compression check in Tight decoder
Summary: www/novnc: Add upstream fix for basic compression check in Tight decoder
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-18 16:50 UTC by Dmitry Petrov
Modified: 2021-01-25 17:15 UTC (History)
2 users (show)

See Also:


Attachments
novnc-1.2.0_1.diff (1.31 KB, patch)
2020-11-18 16:50 UTC, Dmitry Petrov
no flags Details | Diff
novnc-1.2.0_1.diff (1.31 KB, patch)
2020-11-25 21:55 UTC, Dmitry Petrov
dpetrov67: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Petrov 2020-11-18 16:50:14 UTC
Created attachment 219795 [details]
novnc-1.2.0_1.diff

See: https://github.com/novnc/noVNC/commit/34f52a8f41ec677463dc331ae31b89db32883817

Also added a minor fix in Makefile
Comment 1 Dmitry Petrov 2020-11-25 21:55:14 UTC
Created attachment 219980 [details]
novnc-1.2.0_1.diff

Adjusted patch to apply after ports r555728.
Comment 2 Fernando Apesteguía freebsd_committer 2021-01-24 17:59:01 UTC
How can I try this?

/usr/local/libexec/novnc/utils/launch.sh --vnc localhost:5901

bash: /dev/tcp/localhost/6080: Connection refused
Comment 3 Dmitry Petrov 2021-01-24 21:48:02 UTC
I never used launch.sh as I serve multiple clients using secure tokens. I only used the web-part of novnc for this reason.

launch.sh also requires bash and websockify (this is where the novnc-websockify port comes handy).
Comment 4 Fernando Apesteguía freebsd_committer 2021-01-25 17:14:16 UTC
Committed,

Thanks!
Comment 5 commit-hook freebsd_committer 2021-01-25 17:15:07 UTC
A commit references this bug:

Author: fernape
Date: Mon Jan 25 17:14:06 UTC 2021
New revision: 562585
URL: https://svnweb.freebsd.org/changeset/ports/562585

Log:
  www/novnc: Fix bad BasicCompression check in Tight decoder

  Add upstream fix[1] for basic compression check in Tight decoder.

  [1] https://github.com/novnc/noVNC/commit/34f52a8f41ec677463dc331ae31b89db32883817

  PR:	251241
  Submitted by:	dpetrov67@gmail.com (maintainer)

Changes:
  head/www/novnc/Makefile
  head/www/novnc/files/
  head/www/novnc/files/patch-core_decoders_tight.js